import { RendererComponent } from "typedoc/dist/lib/output/components";
import { Reflection } from "typedoc/dist/lib/models/reflections";
import { NavigationItem } from "typedoc/dist/lib/output/models/NavigationItem";
export declare class SdkClientTocPlugin extends RendererComponent {
    private commandToNavigationItems;
    private commandsNavigationItem?;
    private exceptionsNavigationItem?;
    initialize(): void;
    /**
     * Generates a table of contents for a page.
     * @param page Contains project details and contextual data about the page being rendered.
     */
    private onRendererBeginPage;
    private isCommand;
    private isException;
    private isUnion;
    private isInputOrOutput;
    /**
     * Create a toc navigation item structure.
     *
     * @param model   The models whose children should be written to the toc.
     * @param trail   Defines the active trail of expanded toc entries.
     * @param parent  The parent [[NavigationItem]] the toc should be appended to.
     * @param restriction  The restricted table of contents.
     */
    buildToc(model: Reflection, trail: Reflection[], parent: NavigationItem, restriction?: string[]): void;
}
